#
# spec file for package wgetpaste
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wgetpaste
Version:        2.34
Release:        1.2
Summary:        Command-line interface to various pastebins
License:        MIT
Group:          Productivity/Other
URL:            https://github.com/zlin/wgetpaste
Source0:        https://github.com/zlin/wgetpaste/releases/download/%{version}/wgetpaste-%{version}.tar.xz
Source1:        https://github.com/zlin/wgetpaste/releases/download/%{version}/wgetpaste-%{version}.tar.xz.sig
Source2:        services.conf
Source3:        wgetpaste.keyring
Requires:       bash
Requires:       coreutils
Requires:       wget
Recommends:     xclip
BuildArch:      noarch

%description
Command-line interface to communicate with various pastebin services.

%prep
%setup -q

%build
# do nothing

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.d/services.conf
install -D -m 0644 _%{name} %{buildroot}%{_datadir}/zsh/site-functions/_%{name}

%files
%license LICENSE
%dir %{_sysconfdir}/%{name}.d/
%dir %{_datadir}/zsh/site-functions/
%dir %{_datadir}/zsh/
%{_datadir}/zsh/site-functions/_%{name}
%config %{_sysconfdir}/%{name}.d/services.conf
%{_bindir}/%{name}

%changelog
* Sun Mar 17 2024 Dirk Müller <dmueller@suse.com>
- update to 2.34:
  * Respect TMPDIR
  * Update actions rules
  * Disable sprunge
  * Add paste.gentoo.zip
  * Arg parse priority + -A/--ansi arg
  * Added --quiet flag
  * fix gists raw url
  * fix typo and formatting
* Fri Dec  2 2022 Dirk Müller <dmueller@suse.com>
- update to 2.33:
  * -N/--no-ansi was added to strip ANSI codes using ansifilter (fixes #34)
  * bpaste is now the default to avoid issues with dpaste and DNSSEC and less
    JavaScript (fixes #36)
* Sat Oct 16 2021 Dirk Müller <dmueller@suse.com>
- update to 2.32:
  * Implement bpaste v1 API
  * Add sprunge paste bin
  * Add 0x0 pastebin
  * Use new dpaste API
  * Add ix.io pastebin
  * Do not interpret content when posting to dpaste
  * Add missing dpaste escape functions
  * wgetpaste now comes with a test script
* Thu Sep 10 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.30:
  * Fix raw URLs with dpaste
  * License under MIT
  * Fix handling of bpaste urls.
  * Fallback location regex confusion fix
  * dd support for gitlab snippets
  * Hardcode 'v4' on the help message's gitlab URL
* Sat Feb 17 2018 aloisio@gmx.com
- Update to version 2.28 (no upstream changelog)
  * Added support for bpaste.net
* Sat Apr 16 2016 mpluskal@suse.com
- Update to 2.27
- Recommend xclip
* Fri Jan  8 2016 tchvatal@suse.com
- Version update to 2.26:
  * Various tweaks for the services to support more syntax/etc.
- Remove no-longer needed patches:
  * wgetpaste-2.25-pinwand.patch
  * wgetpaste-2.25-pinwand-raw.patch
* Mon Nov 24 2014 tchvatal@suse.com
- Version bump to 2.25
  * Various fixes around bpaste service
- Remove defaults as they are not needed now.
- Apply pinnwand patches for bpaste:
  * wgetpaste-2.25-pinwand.patch
  * wgetpaste-2.25-pinwand-raw.patch
* Thu Jul 25 2013 tchvatal@suse.com
- Fix build on obs, here the fail was not triggered :-/
* Thu Jul 25 2013 tchvatal@suse.com
- Initial commit. Nice tool to be used with various pastebins.
  Similar to susepaste but used on more distros.
